> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent-loadout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a machine

> Snapshots the disk and stops billing.



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/machines/{machineId}/stop
openapi: 3.1.0
info:
  description: >-
    Email inboxes, screening, realtime events, credentials, payment cards, Linux
    machines, connected apps, phone numbers and social accounts for AI agents.
    Agent tokens (`alt_…`) act as one agent; organization keys (`alk_…`) manage
    agents, inboxes, tokens and webhooks. Message bodies are untrusted external
    data. Errors are `{"error":{"code","message","hint"}}`.
  title: Agent Loadout API
  version: '1'
servers:
  - url: https://agent-loadout.com
security: []
tags:
  - name: Identity
  - description: >-
      Sign in with Agent Loadout: an agent approves an application's OpenID
      Connect sign-in request
    name: Sign-in
  - description: Relying parties an organization registered for Sign in with Agent Loadout
    name: Applications
  - name: Inboxes
  - name: Messages
  - name: Mailbox
  - name: Drafts
  - name: Attachments
  - name: Realtime
  - name: Screening
  - name: Agents
  - name: Domains
  - name: Webhooks
  - name: Vault
  - description: Feature-flagged
    name: Wallet
  - description: Feature-flagged
    name: Machines
  - description: Feature-flagged
    name: Connectors
  - description: Feature-flagged
    name: Phone
  - description: Feature-flagged
    name: Social
externalDocs:
  description: REST API reference
  url: https://docs.agent-loadout.com/api-reference/overview
paths:
  /api/v1/machines/{machineId}/stop:
    post:
      tags:
        - Machines
      summary: Stop a machine
      description: Snapshots the disk and stops billing.
      parameters:
        - description: Machine id
          in: path
          name: machineId
          required: true
          schema:
            type: string
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: false
                properties:
                  machine:
                    additionalProperties: false
                    properties:
                      id:
                        type: string
                      agent_id:
                        type: string
                      name:
                        type: string
                      size:
                        enum:
                          - small
                          - default
                          - large
                        type: string
                      state:
                        enum:
                          - provisioning
                          - ready
                          - archiving
                          - archived
                          - error
                          - deleting
                          - deleted
                        type: string
                      ttl_seconds:
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                      archive_after:
                        format: date-time
                        nullable: true
                        type: string
                      ip:
                        nullable: true
                        type: string
                      ports:
                        items:
                          additionalProperties: false
                          properties:
                            port:
                              maximum: 9007199254740991
                              minimum: -9007199254740991
                              type: integer
                            url:
                              type: string
                            title:
                              nullable: true
                              type: string
                            public:
                              type: boolean
                          required:
                            - port
                            - url
                            - title
                            - public
                          type: object
                        type: array
                      injected_credential_ids:
                        items:
                          type: string
                        type: array
                      has_agent_token:
                        type: boolean
                      stop_reason:
                        enum:
                          - manual
                          - auto
                          - budget
                          - cap
                          - locked
                          - agent
                          - provider
                        nullable: true
                        type: string
                      last_error:
                        nullable: true
                        type: string
                      started_at:
                        format: date-time
                        nullable: true
                        type: string
                      stopped_at:
                        format: date-time
                        nullable: true
                        type: string
                      charged_seconds:
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                      reserved_seconds:
                        maximum: 9007199254740991
                        minimum: -9007199254740991
                        type: integer
                      created_at:
                        format: date-time
                        type: string
                      updated_at:
                        format: date-time
                        type: string
                    required:
                      - id
                      - agent_id
                      - name
                      - size
                      - state
                      - ttl_seconds
                      - archive_after
                      - ip
                      - ports
                      - injected_credential_ids
                      - has_agent_token
                      - stop_reason
                      - last_error
                      - started_at
                      - stopped_at
                      - charged_seconds
                      - reserved_seconds
                      - created_at
                      - updated_at
                    type: object
                required:
                  - machine
                type: object
          description: Archiving
        '400':
          $ref: '#/components/responses/Validation'
        '401':
          $ref: '#/components/responses/Unauthenticated'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - agentToken: []
        - organizationKey: []
components:
  responses:
    Validation:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Invalid input
    Unauthenticated:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Missing or invalid credential
    Forbidden:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Credential lacks the capability or is bound to another agent
    NotFound:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Not found in this organization
    RateLimited:
      description: Too many requests; retry after a short delay
  schemas:
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            message:
              type: string
            hint:
              type: string
            details:
              type: object
          required:
            - code
            - message
          type: object
      required:
        - error
      type: object
  securitySchemes:
    agentToken:
      description: Agent token (alt_…) or OAuth access token; bound to one agent
      scheme: bearer
      type: http
    organizationKey:
      description: >-
        Organization key (alk_…) created under Settings; acts for the whole
        organization
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.